System.Core 4.0.0.0 System.Security.AccessControl.NativeObjectSecurity

The class specifies the access rights for a pipe and how access attempts are audited. This class represents access and audit rights as a set of rules. Each access rule is represented by a object, while each audit rule is represented by a object.

The class is an abstraction of the underlying Microsoft Windows file security system. In this system, each pipe has a discretionary access control list (DACL), which controls access to the pipe, and a system access control list (SACL), which specifies the access control attempts that are audited. The and classes are abstractions of the access control entries (ACEs) that comprise DACLs and SACLs.

The class hides many of the details of DACLs and SACLs; you do not have to worry about ACE ordering or null DACLS.

Use the class to retrieve, add, or change the access rules that represent the DACL and SACL of a pipe.

To persist new or changed access or audit rules to a pipe, use the method. To retrieve access or audit rules from an existing file, use the method.

Represents the access control and audit security for a pipe.

- Constructor
  4.0.0.0

  This constructor creates an empty object that is not based on an existing pipe. You can then populate the object with access control information and apply it to a pipe.

  You can add access or audit rules to the object using the method. You can remove access or audit rules using the method.

  To persist new or changed access or audit rules to a pipe, use the method. To retrieve access or audit rules from an existing file, use the method.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Type To be added.

  Classes that derive from the class override the property and return the type they use to represent access rights. When you work with arrays or collections that contain multiple types of security objects, use this property to determine the correct enumeration type to use with each security object.

  Gets the of the securable object that is associated with the current object.

- Method
  4.0.0.0
  System.Security.AccessControl.AccessRule `` `` `` `` `` ``

  The recommended way to create access control rules is to use the constructors of the class.

  Initializes a new instance of the class with the specified values.

  The object that this method creates.

  The identity that the access rule applies to. It must be an object that can be cast as a object. The access mask of this rule. The access mask is a 32-bit collection of anonymous bits, the meaning of which is defined by the individual integrators true if this rule is inherited from a parent container; otherwise false. One of the values that specifies the inheritance properties of the access rule. One of the values that specifies whether inherited access rules are automatically propagated. The propagation flags are ignored if is set to . Specifies the valid access control type.
- Property
  4.0.0.0
  System.Type To be added.

  Classes that derive from the class override the property and return the type they use to represent access rights. When you work with arrays or collections that contain multiple types of security objects, use this property to determine the correct enumeration type to use with each security object.

  Gets the of the object that is associated with the access rules of the current object.

- Method
  4.0.0.0
  System.Void ``

  The method adds a new rule to the list of rules that a object contains.If an access control list (ACL) already exists for the specified rule, the method will still add the rule, with one exception: a object that is created using the value supersedes an object that is created using the value.

  Adds an access rule to the Discretionary Access Control List (DACL) that is associated with the current object.

  The access rule to add.
- Method
  4.0.0.0
  System.Void ``

  The method adds a new audit rule to the list of rules that a object contains.

  If an audit rule already exists for the specified rule, the method will still add the rule.

  Adds an audit rule to the System Access Control List (SACL)that is associated with the current object.

  The audit rule to add.
- Method
  4.0.0.0
  System.Security.AccessControl.AuditRule `` `` `` `` `` ``

  The recommended way to create audit rules is to use the constructors of the class.

  Initializes a new instance of the class with the specified values.

  The object that this method creates.

  The identity that the access rule applies to. It must be an object that can be cast as a object. The access mask of this rule. The access mask is a 32-bit collection of anonymous bits, the meaning of which is defined by the individual integrators true if this rule is inherited from a parent container; otherwise, false.. One of the values that specifies the inheritance properties of the access rule. One of the values that specifies whether inherited access rules are automatically propagated. The propagation flags are ignored if is set to . One of the values that specifies the valid access control type.
- Property
  4.0.0.0
  System.Type To be added.

  Classes that derive from the class override the property and return the type they use to represent access rights. When you work with arrays or collections that contain multiple types of security objects, use this property to determine the correct enumeration type to use with each security object.

  Gets the object associated with the audit rules of the current object.

- Method
  4.0.0.0
  System.Void `` To be added.

  Saves the specified sections of the security descriptor that is associated with the current object to permanent storage.

  The handle of the securable object that the current object is associated with.
- Method
  4.0.0.0
  System.Void `` To be added.

  Saves the specified sections of the security descriptor that is associated with the current object to permanent storage.

  The name of the securable object that the current object is associated with.
- Method
  4.0.0.0
  System.Boolean ``

  The method removes either all matching access rules or all matching access rules from the current object. For example, you can use this method to remove all access rules for a user by passing a object created using the value, the value, and a user account. The method removes any deny rules that specify the value or the value.

  Removes an access rule from the Discretionary Access Control List (DACL) that is associated with the current object.

  true if the operation is successful; otherwise, false.

  The access rule to remove.
- Method
  4.0.0.0
  System.Void ``

  The method removes either all matching access rules or all matching access rules from the current object. For example, you can use this method to remove all access rules for a user by passing a object created using the value, the value, and a user account. The method removes any deny rules that specify the value or the value.

  Removes the specified access rule from the Discretionary Access Control List (DACL) that is associated with the current object.

  The access rule to remove.
- Method
  4.0.0.0
  System.Boolean ``

  The method removes either all matching audit rules or all matching audit rules from the current object. For example, you can use this method to remove all audit rules for a user by passing a object created using the value, the value, and a user account. When you do this, the method removes any deny rules that specify the value or the value.

  Removes an audit rule from the System Access Control List (SACL) that is associated with the current object.

  true if the audit rule was removed; otherwise, false

  The audit rule to remove.
- Method
  4.0.0.0
  System.Void ``

  The method removes all audit rules for the specified user. It ignores all values in the object except the user account.

  Removes all audit rules that have the same security identifier as the specified audit rule from the System Access Control List (SACL) that is associated with the current object.

  The audit rule to remove.
- Method
  4.0.0.0
  System.Void ``

  The method removes the specified matching audit rule or the specified matching audit rule from the current object. For example, you can use this method to remove a specified audit rule for a user by passing a object created using the value, the value, and a user account. When you do this, the method removes only a deny rule that specifies the value. It does not remove any deny rules that specify the value.

  Removes the specified audit rule from the System Access Control List (SACL) that is associated with the current object.

  The audit rule to remove.
- Method
  4.0.0.0
  System.Void ``

  The method adds the specified access control list (ACL) rule or overwrites any identical ACL rules that match the parameter. For example, if the parameter specifies a value and the method finds an identical ACL rule that specifies the value, the identical rule will be overwritten. If the method finds an identical ACL rule that specifies the value, the identical rule will also be overwritten.

  Removes all access rules in the Discretionary Access Control List (DACL) that is associated with the current object and then adds the specified access rule.

  The access rule to add.
- Method
  4.0.0.0
  System.Void ``

  The method adds the specified access control list (ACL) rule or overwrites any identical ACL rules that match the value of the parameter. For example, if the parameter specifies a value and the method finds an identical ACL rule that specifies the value, the identical rule will be overwritten. If the method finds an identical ACL rule that specifies the value, the identical rule will not be overwritten.

  Sets an access rule in the Discretionary Access Control List (DACL) that is associated with the current object.

  The rule to set.
- Method
  4.0.0.0
  System.Void ``

  The method adds the specified audit rule or overwrites any identical audit rules that match the value of the parameter. For example, if the parameter specifies a value and the method finds an identical audit rule that specifies the value, the identical rule will be overwritten. If the method finds an identical audit rule that specifies the value, the identical rule will not be overwritten.

  Sets an audit rule in the System Access Control List (SACL) that is associated with the current object.

  The rule to set.